commit eb0d3ea3fe71b1119694d10d287bffb295c28206
parent da60d883c67389894730c0f1dac44514ef4229d9
Author: regexghost <dev@regexghost.com>
Date: Sun, 2 Aug 2026 20:48:02 +0100
stream launcher script, bound to super+shift+f in jwmrc
Diffstat:
4 files changed, 27 insertions(+), 1 deletion(-)
diff --git a/apt-install.sh b/apt-install.sh
@@ -1,3 +1,3 @@
#!/bin/sh
-sudo apt install curl wget golang xorg xinit x11-xserver-utils bluetooth unzip git firefox-esr mpv vlc tar moc fasd fonts-roboto fonts-firacode figlet jq xcompmgr picom trash-cli ncdu pulsemixer feh moc-ffmpeg-plugin keepassxc-full fzf libnotify-bin dunst texinfo xmlstarlet duf gh tidy w3m bluetooth xclip wbritish wbritish-huge rsync pup rename ifuse libimobiledevice-utils chromium groff xdotool pulseaudio-module-bluetooth sqlite3 expect aria2 gammastep qimgv kimageformat-plugins kimageformat6-plugins nomacs mediainfo mpd mpc htop python3-venv btop alpine unrar-free android-file-transfer nnn xfe
+sudo apt install curl wget golang xorg xinit x11-xserver-utils bluetooth unzip git firefox-esr mpv vlc tar moc fasd fonts-roboto fonts-firacode figlet jq xcompmgr picom trash-cli ncdu pulsemixer feh moc-ffmpeg-plugin keepassxc-full fzf libnotify-bin dunst texinfo xmlstarlet duf gh tidy w3m bluetooth xclip wbritish wbritish-huge rsync pup rename ifuse libimobiledevice-utils chromium groff xdotool pulseaudio-module-bluetooth sqlite3 expect aria2 gammastep qimgv kimageformat-plugins kimageformat6-plugins nomacs mediainfo mpd mpc htop python3-venv btop alpine unrar-free android-file-transfer nnn xfe vim
diff --git a/jwm/.config/jwm/jwmrc b/jwm/.config/jwm/jwmrc
@@ -187,6 +187,7 @@
<Key mask="4" key="q">exec:~/.local/share/regexghost/wm-scripts/bookmarks.sh</Key>
<Key mask="4" key="a">exec:~/.local/share/regexghost/wm-scripts/snippets.sh</Key>
<Key mask="4" key="f">exec:~/.local/share/regexghost/wm-scripts/dmenu-programs.sh</Key>
+ <Key mask="4S" key="f">exec:~/.local/share/regexghost/wm-scripts/launch-stream.sh</Key>
<Key mask="4" key="s">exec:st -t Soundboard -e soundboard</Key>
<Key mask="4S" key="c">exec:dunstctl close-all</Key>
<Key mask="4" key="x">exec:~/.local/share/regexghost/wm-scripts/jwm-scratchpad.sh</Key>
diff --git a/wm-scripts/Makefile b/wm-scripts/Makefile
@@ -11,3 +11,4 @@ normal:
cp jwm-xinit.sh ${PREFIX}/jwm-xinit.sh
cp jwm-scratchpad.sh ${PREFIX}/jwm-scratchpad.sh
cp snippets.sh ${PREFIX}/snippets.sh
+ cp launch-stream.sh ${PREFIX}/launch-stream.sh
diff --git a/wm-scripts/launch-stream.sh b/wm-scripts/launch-stream.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+DMENU_SCRIPT="$XDG_DATA_HOME/regexghost/wm-scripts/dmenu-runner.sh"
+
+stream="$(cat "$XDG_CONFIG_HOME/regexghost/streams.csv" | cut -d "," -f 1 | "$DMENU_SCRIPT" "Select Stream:" -ix)"
+
+line="$(sed -n "$((stream+1))p" "$XDG_CONFIG_HOME/regexghost/streams.csv")"
+twitch="$(echo "$line" | cut -d "," -f 2)"
+youtube="$(echo "$line" | cut -d "," -f 3)"
+kick="$(echo "$line" | cut -d "," -f 4)"
+
+if ! [ "$youtube" = "NONE" ]; then
+ mpv --no-resume-playback --ytdl-format="bestvideo[height<=480]" "https://youtube.com/${youtube}/live" && exit
+fi
+
+if ! [ "$kick" = "NONE" ]; then
+ mpv --no-resume-playback --ytdl-format="2" "https://kick.com/${kick}" && exit
+fi
+
+if ! [ "$twitch" = "NONE" ]; then
+ mpv --no-resume-playback "https://twitch.tv/${twitch}" && exit
+fi
+
+notify-send "Not live or unable to open stream"